120:b8da199312e2
Anton Shestakov <av6@dwimlabs.net>, Sat, 09 Jul 2016 01:47:09 +0800
.hgeditor: enable spell checker in message window

next change 140:b39b7473c873
previous change 119:d54e285942f3

.hgeditor

Permissions: -rwxr-xr-x

Other formats: Feeds:
#!/bin/sh
#
# This is an example of using HGEDITOR to create of diff to review the
# changes while commiting.
HGTMP=""
cleanup_exit() {
rm -rf "$HGTMP"
}
# Remove temporary files even if we get interrupted
trap "cleanup_exit" 0 # normal exit
trap "exit 255" HUP INT QUIT ABRT TERM
HGTMP=$(mktemp -d ${TMPDIR-/tmp}/hgeditor.XXXXXX)
[ x$HGTMP != x -a -d $HGTMP ] || {
echo "Could not create temporary directory! Exiting." 1>&2
exit 1
}
(
grep '^HG: \(changed\|added\|removed\)' "$1" | cut -d ' ' -f 3- | while read changed; do
"$HG" diff "$changed" >> "$HGTMP/diff"
done
)
cat "$1" > "$HGTMP/msg"
MD5=$(which md5sum 2>/dev/null) || \
MD5=$(which md5 2>/dev/null)
[ -x "${MD5}" ] && CHECKSUM=`${MD5} "$HGTMP/msg"`
if [ -s "$HGTMP/diff" ]; then
vim -f "+e $HGTMP/diff" '+set buftype=help filetype=diff' "+vsplit $HGTMP/msg" '+setlocal spell' || exit $?
else
vim -f "$HGTMP/msg" '+setlocal spell' || exit $?
fi
[ -x "${MD5}" ] && (echo "$CHECKSUM" | ${MD5} -c >/dev/null 2>&1 && exit 13)
mv "$HGTMP/msg" "$1"
exit $?